@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    padding: 0;
    box-sizing: border-box;
    font-family: "Roboto", sans-serif;
    font-size: 14px;
}

body {
    background-color: #f9f9f9;
}

/* ------------------------------- CLASSES GERAIS */
.escondido {
    display: none !important;
}

.centralizado {
    text-align: center;
}

.esquerda {
    text-align: left !important;
}

.botaoAzul {
    padding: 5px 10px;
    border: none;
    background-color: #165c8b;
    color: #fff;
    cursor: pointer;
    border-radius: 7px;
    display: flex;
    align-items: center;
    text-decoration: none;
    gap: 5px;
    width: fit-content;
}

.botaoAzul:disabled {
    background-color: #babaca;
    cursor: not-allowed;
}

.bloqueio {
    position: fixed;
    top:0;
    left:0;
    right: 0;
    bottom: 0;
    /* width: 100%;
    height: 100dvh; */
    z-index: 4;
    background-color: rgba(22, 92, 139, 0.5);
}

/* ------------------------------- MENU */

#barraMobile, #btnMenuMobile {
    display: none;
}

nav {
    background-color: #165c8b;
    width: 210px;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 5;
    padding: 20px 0;
    color: #fff;
    padding: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    box-shadow: 2px 0px 6px rgba(0, 0, 0, 0.3);
    overflow: auto;
}

nav::-webkit-scrollbar {
    width: 4px;
}

nav::-webkit-scrollbar-track {
    background: #f1f1f1; 
}

nav::-webkit-scrollbar-thumb {
    background: #88c6fa; /* #6391b7; /* #165c8b; */
    border-radius: 10px;
}

nav img {
    width: 50%;
    display: block;
    margin:auto;
}

.menu {
    margin-top: 10px;
    list-style: none;
    padding: 0;
}

.menu li {
    padding: 0 5px;
}

.menu a {
    color: #fff;
    text-decoration: none;
    display: flex;
    align-items: center;
    column-gap: 10px;
    padding: 5px;
    border-radius: 7px;
    font-size: 0.9rem;
}

.menu a:hover {
    color: #1e5b85;
    background-color: #b3dafe;
}

.menu a.item_inativo {
    color: #babaca;
}

.menu a.item_inativo:hover {
    color: #babaca;
    background-color: #165c8b;
    cursor: not-allowed;
}


.usuarioLogado {
    border-top: thin solid #fff;
    border-bottom: thin solid #fff;
    padding: 10px 0;
    text-align: center;
}

.submenu {
    background-color: #1f74ad;
    border-radius: 4px;
    padding: 10px;
    margin-bottom: 10px;
}

.submenu li {
    padding: 0px 5px;
}

.submenu a {
    color: #fff;
    text-decoration: none;
    display: flex;
    align-items: center;
    column-gap: 10px;
    padding: 5px;
    border-radius: 7px;
    font-size: 0.9rem;
}

.submenu a:hover {
    color: #1e5b85;
    background-color: #b3dafe;
}

main {
    margin-left: 215px;
    padding: 10px;
}

/* --------------------------------------------- INICIO */

main > h1 {
    font-size: 1.4rem;
    color: #165c8b;
    border-bottom: thin solid #165c8b;
    margin: 0 0 10px 0;
    padding: 10px 0;
    display: flex;
    align-items: center;
    gap: 10px;
}

.opcoesGerais {
    display: flex;
    justify-content: flex-end;
    gap:10px;
}

/* ----------------------------------------------- TABELA */

.tabelaContainer {
    overflow-x: auto;
}

table {
    border-collapse: collapse;
    border: thin solid #165c8b;
    border-radius: 5px;
    width: 100%;
    position: relative;
}

table th, table td {
    padding: 5px 10px;
    white-space: nowrap;
    border: thin solid #165c8b;
}

table th {
    background-color: #165c8b;
    color: #fff;
    font-weight: normal;
    padding: 5px;
}

tr {
    background-color: #f9f9f9;
}

tr:nth-child(even) {
    background-color: #efefef;
}

.iconeTabela {
    color: #165c8b;
    font-size: 1.5rem;
}

/* --------------------------------------------- LOADING */

.loading-container {
    display: flex;
    justify-content: center;
    width: 100%;
}

.loading {
    border: 4px solid #165c8b;
    border-top: 4px solid transparent;
    border-radius: 50%;
    width: 26px;
    height: 26px;
    animation: spin 1s linear infinite;
}

.loadingBotao {
    border: 4px solid #fff;
    border-top: 4px solid transparent;
    border-radius: 50%;
    width: 15px;
    height: 15px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}